=== debian/control ===
Source: emacsen-common
Section: editors
Priority: standard
Maintainer: Rob Browning <rlb@cs.utexas.edu>
Standards-Version: 2.3.0

Package: emacsen-common
Conflicts: emacs
Architecture: all
Description: Common facilities for all emacsen.
 This package contains code that is needed by all the (x)emacs packages.
