=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,7 @@
 
 	perl -wc emacs-install
 	perl -wc emacs-package-install
+	perl -wc generate-install-list
 
 	-rm -rf debian/tmp
 	install -d debian/tmp
@@ -69,6 +70,7 @@
 	cp -a emacs-remove ${eclib}
 	cp -a emacs-package-install ${eclib}
 	cp -a emacs-package-remove ${eclib}
+	cp -a generate-install-list ${eclib}
 
 	install -d debian/tmp/var/lib/emacsen-common
