=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 Package: emacsen-common
 Conflicts: emacs
+Depends: bsdmainutils
 Architecture: all
 Description: Common facilities for all emacsen.
  This package contains code that is needed by all the (x)emacs packages.
