=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # paternity under the Copyright, Designs and Patents Act 1988.)
 # This file may have to be extensively modified
 #
-# modified for emacsen-common by Rob Browning <rlb@cs.utexas.edu>
+# modified for emacsen-common by Rob Browning <rlb@defaultvalue.org>
 
 pwd       := $(shell pwd)
 version   := $(shell dpkg-parsechangelog | grep Version)
@@ -24,7 +24,7 @@
 CFLAGS    := -O2 -g
 
 eclib := debian/tmp/usr/lib/emacsen-common
-flavors := emacs19 emacs20 xemacs19 xemacs20
+flavors := emacs19 emacs20 xemacs19 xemacs20 xemacs21 emacs21
 
 build:
 	$(checkdir)
@@ -52,18 +52,11 @@
 	install -d debian/tmp/etc/emacs
 	cp site-start.el debian/tmp/etc/emacs
 
-  # emacsen-common owns these so that removing an emacsen won't
-  # cause dpkg to complain that there are package files still in them.
-	for flavor in ${flavors}; do \
-    install -d debian/tmp/etc/${flavor}/site-start.d; \
-    install -d debian/tmp/usr/share/${flavor}/site-lisp; \
-	done
-
-  # 00debian-vars.el
+        # 00debian-vars.el
 	install -d debian/tmp/etc/emacs/site-start.d
 	cp 00debian-vars.el debian/tmp/etc/emacs/site-start.d
 
-  # debian-startup.el
+        # debian-startup.el
 	install -d debian/tmp/usr/share/emacs/site-lisp
 	cp debian-startup.el debian/tmp/usr/share/emacs/site-lisp
 
@@ -78,33 +71,36 @@
 
 	install -d debian/tmp/var/lib/emacsen-common
 
-  # emacsen-common add-on pacakge scripts
-	cp -a emacsen-common.install ${eclib}/packages/install/emacsen-common
-	cp -a emacsen-common.remove ${eclib}/packages/remove/emacsen-common
+        # emacsen-common add-on pacakge scripts
+	cp -a emacsen-common.install \
+	  ${eclib}/packages/install/emacsen-common
+	cp -a emacsen-common.remove \
+	  ${eclib}/packages/remove/emacsen-common
 
-  # manpages
-  #	find debian/tmp/usr/man -type f | xargs --no-run-if-empty gzip -9v
+        # manpages
+        # find debian/tmp/usr/man -type f | xargs --no-run-if-empty gzip -9v
 
-  # /usr/doc/emacs20 directory
-	install -d debian/tmp/usr/doc/emacsen-common
-	cp debian/changelog debian/tmp/usr/doc/emacsen-common/changelog.Debian
-	cp debian-emacs-policy debian/tmp/usr/doc/emacsen-common/
-	find debian/tmp/usr/doc/emacsen-common -type f | xargs gzip -9v
-	cp debian/copyright debian/tmp/usr/doc/emacsen-common
+        # /usr/share/doc/emacsen-common directory
+	install -d debian/tmp/usr/share/doc/emacsen-common
+	cp debian/changelog debian/tmp/usr/share/doc/emacsen-common/
+	cp debian-emacs-policy debian/tmp/usr/share/doc/emacsen-common/
+	find debian/tmp/usr/share/doc/emacsen-common -type f \
+	  | xargs gzip -9v
+	cp debian/copyright debian/tmp/usr/share/doc/emacsen-common
 
-  # Mangle permissions to conform.
+        # Mangle permissions to conform.
 	chown -R root.root debian/tmp
 	find debian/tmp -type d | xargs chmod 755
 	find debian/tmp -not -type d | xargs chmod 644
 
 	find ${eclib} -type f | xargs chmod 755 
 
-  # control scripts	
+        # control scripts	
 	install -d debian/tmp/DEBIAN
 	install --mode 755 debian/postinst debian/tmp/DEBIAN
 	install --mode 755 debian/prerm debian/tmp/DEBIAN
 	install --mode 755 debian/postrm debian/tmp/DEBIAN
-	install --mode 755 debian/conffiles debian/tmp/DEBIAN
+	install --mode 644 debian/conffiles debian/tmp/DEBIAN
 
 	dpkg-gencontrol -pemacsen-common
 	dpkg --build debian/tmp ..
@@ -128,8 +124,3 @@
 	test root = "`whoami`"
 
 .PHONY: binary binary-arch binary-indep clean checkroot
-
-# Local variables:
-# mode: makefile
-# tab-width: 2
-# End:
