=== debian/control ===
--- 
+++ 
@@ -8,5 +8,6 @@
 Conflicts: emacs
 Depends: bsdmainutils
 Architecture: all
-Description: Common facilities for all emacsen.
- This package contains code that is needed by all the (x)emacs packages.
+Description: Common facilities for all emacsen
+ This package contains code that is needed by all the (x)emacs
+ packages.  It will be automatically installed when needed.
