## emacsen-common 1.4.19ubuntu1

=== debian/changelog ===
emacsen-common (1.4.19ubuntu1) karmic; urgency=low

  * emacs-package-install: don't throw an error when maintainer scripts call
    this hook while emacsen-common isn't yet configured; LP: #456523.

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 26 Oct 2009 11:39:15 +0000

emacsen-common (1.4.19) unstable; urgency=low

  * Move the sample package install/remove scripts from
    debian-emacs-policy to the files sample-package-install-foo and
    sample-package-remove-foo in /usr/share/doc/emacsen-common.

  * Fix some suspicious code in the sample package install/remove scripts.
    Thanks to Kevin Ryde <user42@zip.com.au>. (closes: 424940)

  * Update debian-file->string to use insert-file-contents-literally.
    Change gnus-nntpserver-file defvar to setq.  Thanks to Jari Aalto
    <jari.aalto@poboxes.com>. (closes: 269155)

  * Always call debian-run-directories.  Previously a bug would prevent it
    from running if debian-emacs-flavor wasn't set.  Thanks to Francesco
    Potorti` <pot@gnu.org> and Andrew Kemp <ajwk@pell.uklinux.net>.
    (closes: 222518, 136779)

  * Thanks to Agustin Martin Domingo <agmartin@debian.org> for collecting
    and incorporating many of the fixes in the previous release, this
    release, and probably the next several releases into his git
    repository.  That work is being used heavily as a reference during
    these updates.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 17 May 2009 15:42:24 -0700

emacsen-common (1.4.18) unstable; urgency=low

  * Add --no-site-file and --no-init-file for the compilation of
    emacsen-common's .elc files.  Those options should be fine for
    emacsen-common itself right now.  Thanks to Peter S Galbraith
    <psg@debian.org>.  (closes: 132355)

  * Fix minor documentation bug.  Thanks to Roland Stigge
    <stigge@antcom.de>. (closes: 208414)

  * Print the error message when debian-run-directories encounters an
    error while loading a file.  Thanks to Kevin Ryde <user42@zip.com.au>.
    (closes: 329030)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 10 May 2009 20:52:52 -0700
