## emacsen-common 1.4.19ubuntu2

=== debian/changelog ===
emacsen-common (1.4.19ubuntu2) natty; urgency=low

  [ Andrey Bondarenko ]
  * debian-startup.el: fix "Warning: 'mapcar' called for effect"
    patch by Era Eriksson (LP: #482849) taken from Debian bug #530961.

  [ Alessio Treglia ]
  * Set target to natty.

 -- Andrey Bondarenko <abondarenko@users.sourceforge.net>  Thu, 25 Nov 2010 14:31:18 +0500
