=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: emacsen-common
 Section: editors
 Priority: optional
-Maintainer: Rob Browning <rlb@defaultvalue.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
 Standards-Version: 3.6.2
 
 Package: emacsen-common
