## emacsen-common 1.4.19%2bmaemo9%2b0m6fremantle1

=== debian/changelog ===
emacsen-common (1.4.19+maemo9+0m6fremantle1) unstable; urgency=low
  * Can't optify this package, removed maemo-optify calls from build deps
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Thu, 19 Jul 2012 18:47:49 +0200

emacsen-common (1.4.19+maemo9+0m6fremantle0) unstable; urgency=low
  * Initial port for Fremantle
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Wed, 18 Jul 2012 17:47:10 +0200

emacsen-common (1.4.19+maemo9+0m6) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1.4.19+maemo9+0m6

 -- Marius Vollmer <marius.vollmer@nokia.com>  Thu, 20 May 2010 16:15:39 +0300

emacsen-common (1.4.19+maemo9) unstable; urgency=low

  * Removed sanitization \o/

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 19 May 2010 18:32:47 +0300

emacsen-common (1.4.19+maemo8) unstable; urgency=low

  * Retagged for even saner sanitization

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 09 Feb 2010 18:32:40 +0200

emacsen-common (1.4.19+maemo7) unstable; urgency=low

  * Retagged for saner sanitization

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 09 Feb 2010 17:35:55 +0200

emacsen-common (1.4.19+maemo6) unstable; urgency=low

  * Updated maemoification.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 08 Feb 2010 17:19:13 +0200

emacsen-common (1.4.19+maemo5) unstable; urgency=low

  * Updated maemoification.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Fri, 05 Feb 2010 18:37:50 +0200

emacsen-common (1.4.19+maemo4) unstable; urgency=low

  * Bumped version to get rid of the '+(%rid)s' revision template.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 19 Jan 2010 15:27:47 +0200

emacsen-common (1.4.19+maemo3) unstable; urgency=low

  * Updated maemoification.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Fri, 08 Jan 2010 10:44:54 +0200

emacsen-common (1.4.19+maemo2) unstable; urgency=low

  * Updated maemoification.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 07 Dec 2009 15:10:57 +0200

emacsen-common (1.4.19+maemo1) unstable; urgency=low

  * Initial import into Maemo.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 23 Nov 2009 14:56:22 +0200
