=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: emacsen-common
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
+Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
+XSBC-Original-Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
+Origin: maemo
 Standards-Version: 3.6.2
+Vcs-Browser: http://gitorious.org/maemo-pkg/emacsen-common
+Vcs-Git: git@gitorious.org:maemo-pkg/emacsen-common.git
 
 Package: emacsen-common
 Depends: bsdmainutils
