## emacsen-common 1.4.22

=== debian/changelog ===
emacsen-common (1.4.22) unstable; urgency=medium

  * Call mapc instead of mapcar in debian-startup.el since mapcar was only
    being called for side-effects.  Thanks to "Trent W. Buck"
    <trentbuck@gmail.com> for the report. (closes: 530961)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 01 Dec 2010 21:46:10 -0600

emacsen-common (1.4.21) unstable; urgency=medium

  * Don't print a message if /etc/mailname doesn't exist.  Thanks to Josh
    Triplett <josh@joshtriplett.org> for the report. (closes: 427757)

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 30 Nov 2010 17:57:47 -0600

emacsen-common (1.4.20) unstable; urgency=medium

  * Update debian-emacs-policy to correctly reflect current usage.

  * Don't call install-info to remove old emacs entry in the postinst.
    It's been many years since the last package created that entry.
    Thanks to Marco Nenciarini <mnencia@debian.org> for the
    report. (closes: 604164)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 29 Nov 2010 21:26:02 -0600
