=== debian/rules ===
--- 
+++ 
@@ -32,12 +32,7 @@
 
 buildpackage:
 	$(checkdir)
-	dpkg-buildpackage -D -rfakeroot \
-	  -i'\\+\\+pristine-trees|\\+\\+saved.*|,,.*|{arch}|\.arch-ids' \
-	  -I"*/++*" \
-	  -I"*/,,*" \
-	  -I"*/{arch}" \
-	  -I"*/.arch-ids"
+	dpkg-buildpackage -D -us -uc -rfakeroot -i
 .PHONY: buildpackage
 
 build: debian/stamp/build
@@ -100,6 +95,8 @@
 	install -d debian/tmp/usr/share/doc/emacsen-common
 	cp debian/changelog debian/tmp/usr/share/doc/emacsen-common/
 	cp debian-emacs-policy debian/tmp/usr/share/doc/emacsen-common/
+	cp sample-package-install-foo  debian/tmp/usr/share/doc/emacsen-common/
+	cp sample-package-remove-foo  debian/tmp/usr/share/doc/emacsen-common/
 	find debian/tmp/usr/share/doc/emacsen-common -type f \
 	  | xargs gzip -9v
 	cp debian/copyright debian/tmp/usr/share/doc/emacsen-common
