## emacsen-common 1.4.22ubuntu1

=== debian/changelog ===
emacsen-common (1.4.22ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - emacs-package-install: don't throw an error when maintainer scripts
      call this hook while emacsen-common isn't yet configured.
  * Dropped changes, included in Debian:
    - debian-startup.el: fix "Warning: 'mapcar' called for effect"
      patch by Era Eriksson

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Nov 2011 22:24:38 -0800
