## emacsen-common 1.4.23

=== debian/changelog ===
emacsen-common (1.4.23) unstable; urgency=low

  * Remove vestigal dependency on bsdmainutils.  Thanks to Sven Joachim
    <svenjoac@gmx.de> for the report. (Closes: #480894)

  * Require add-on packages to create .el symlinks alongside .elc files.
    Update debian-emacs-policy to require add-on packages to install a .el
    symlink alongside each compiled .elc file.  Thanks to "Karl
    M. Hegbloom" <karlheg@microsharp.com> for the original
    report. (Closes: #122444)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 11 Feb 2012 15:55:07 -0600
