=== debian/control ===
Source: emacsen-common
Section: editors
Priority: optional
Maintainer: Rob Browning <rlb@defaultvalue.org>
Standards-Version: 3.6.2

Package: emacsen-common
Architecture: all
Description: Common facilities for all emacsen
 This package contains code that is needed by all the (x)emacs
 packages.  It will be automatically installed when needed.
