## emacsen-common 2.0.3

=== debian/changelog ===
emacsen-common (2.0.3) unstable; urgency=low

  * Move #DEBHEPLER# up in the postinst to avoid an emacs complaint about
    a missing /usr/local/emacs/site-lisp during the emacsen-common package
    install script.

  * Report something like "ERROR: install script from foo package failed"
    to more clearly indicate the cause of an install/remove failure.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 22 May 2012 22:53:55 -0500

emacsen-common (2.0.2) unstable; urgency=low

  * Install usr/local/emacs/site-lisp in the right place so debhelper will
    handle it.  Thanks to Vincent Lefevre <vincent@vinc17.net> for the
    report. (Closes: #672878)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 14 May 2012 19:40:05 -0500

emacsen-common (2.0.1) unstable; urgency=low

  * Add debian-emacs-policy requirement that add-on packages conflict with
    emacsen-common < 2.0.0.

  * Put emacsen-commmon install/remove scripts in the correct location.
    Thanks to Adam Borowski <kilobyte@angband.pl> and Ondřej Surý
    <ondrej@debian.org> for the report. (Closes: #672874)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 14 May 2012 19:15:57 -0500

emacsen-common (2.0.0) unstable; urgency=low

  * Remove the requirement that add-on packages depend on emacsen or
    emacsen-common.  This should eliminate the need for many of the
    trivial Debian foo-el packages, but before the dependencies can be
    removed, an add-on package must be changed to follow the updated
    debian-emacs-policy.

  * Treat the failure of any add-on package install or remove script as a
    fatal error.  Otherwise inter-add-on package dependencies won't be
    respected.

  * Migrate to debhelper.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 13 May 2012 16:38:30 -0500
