## emacsen-common 2.0.5

=== debian/changelog ===
emacsen-common (2.0.5) unstable; urgency=low

  * Don't ignore dependency install scripts in emacs-package-install.  The
    previous code didn't actually update the script name properly in the
    loop where it was trying to install all of an add-on package's
    dependencies.  As a result, none of the dependencies' install scripts
    were actually invoked. Thanks to Sébastien Villemot
    <sebastien@debian.org> for tracking down the problem, and providing
    the patch. (closes: #693472)

  * Invoke each add-on install script correctly as new-style or old-style.
    Previously, emacs-package-install would invoke all of the add-on
    install scripts in a dependency chain as either old-style or
    new-style, based solely on whether or not the package that triggered
    the install was old-style or new-style.  Now it should invoke each
    package's install script based on whether the package itself is
    new-style or old-style, as determined by the presence or absence of
    the policy-required /usr/lib/emacsen-common/packages/compat/PACKAGE
    file.  Thanks to Sébastien Villemot <sebastien@debian.org> for the
    report.  (closes: #693472)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 12 Dec 2012 20:15:05 -0600

emacsen-common (2.0.4) unstable; urgency=low

  * Don't use the obsolete calc package as a policy example.
    Thanks to "A. N. Other" <a.n.other.debian@gmail.com> for the report.
    (closes: #674181)

  * Don't override /usr/local/* load-path entries in debian-run-directories.
    Previously, debian-run-directories would prepend all of the add-on
    package paths to load-path, which meant that (in violation of Debian
    policy) /usr/local wouldn't preceed the other entries.
    Thanks to Hendrik Tews <hendrik@askra.de> for the report and Kevin
    Ryde <user42@zip.com.au> for an initial suggested patch -- posted to
    #454778. (closes: #676424)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 02 Dec 2012 16:03:18 -0600
