=== debian/rules ===
#!/usr/bin/make -f

# Copyright (C) 2012, Rob Browning <rlb@defaultvalue.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pkg_dir := debian/emacsen-common
pkg_ec_lib := $(pkg_dir)/usr/lib/emacsen-common
pkg_ec_var := $(pkg_dir)/var/lib/emacsen-common

%:
	dh $@

override_dh_auto_build:
	dh_testdir debian-emacs-policy debian/rules
	chmod u+x emacs-install emacs-remove
	chmod u+x emacs-package-install emacs-package-remove
	chmod u+x emacsen-common.install emacsen-common.remove

override_dh_auto_install:
	dh_testdir debian-emacs-policy debian/rules
	perl -wc emacs-install
	perl -wc emacs-remove
	perl -wc emacs-package-install
	perl -wc emacs-package-remove
	perl -wc lib.pl

	rm -rf $(pkg_dir)
	install -D emacsen-common.install \
	  $(pkg_ec_lib)/packages/install/emacsen-common
	install -D emacsen-common.remove \
	  $(pkg_ec_lib)/packages/remove/emacsen-common
	install -d $(pkg_ec_lib)/packages/compat
	install -d $(pkg_ec_var)/state/flavor/installed
	install -d $(pkg_ec_var)/state/package/installed
	install -d $(pkg_dir)/usr/local/share/emacs/site-lisp
	find $(pkg_dir)/usr/local/share/emacs/site-lisp -ls
