## emacsen-common 2.0.8~ubuntu14.04.1.3

=== debian/changelog ===
emacsen-common (2.0.8~ubuntu14.04.1.3) trusty; urgency=medium

  * No-change backport to trusty

 -- Michael Rutter <marutter@gmail.com>  Tue, 19 May 2015 16:21:31 -0400

emacsen-common (2.0.8) unstable; urgency=medium

  * Require add-on packages to depend on emacsen-common >= 2.0.8.  This
    should be simpler and safer, and emacsen-common is only ~140k, which
    shouldn't be too big a burden.

    One specific problem this solves is the handling of
    /var/lib/emacsen-common when emacsen-common is purged -- in particular
    /var/lib/emacsen-common/state/package/installed/*.  Without the
    dependency, emacsen-common can't remove the tree without clobbering
    the state for every add-on, but if emacsen-common can't remove it, who
    can?

    This release changes the following requirements for add-on packages
    (see debian-emacs-policy for the details):

      - They must now depend on emacsen-common >= 2.0.8.
      - They don't need to conflict with emacsen-common anymore.
      - They don't need to guard their calls to emacs-install-package.
      - They don't need to guard their calls to emacs-remove-package.
      - They should no longer manage their package/installed/ file directly.

    In addition emacsen flavor packages should now depend on
    emacsen-common >= 2.0.8.

  * emacs-package-install: don't try to validate the package during the preinst.
    The package files that we're looking for won't be available.
    Thanks to Tatsuya Kinoshita <tats@vega.ocn.ne.jp> for the report.
    (Closes: 736062)

  * emacs-package-remove: remove unused context variable.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 21 May 2014 15:19:38 -0500
