## emacsen-common 2.0.8

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: emacsen-common
 Section: editors
 Priority: optional
+Build-Depends: debhelper (>= 8)
 Maintainer: Rob Browning <rlb@defaultvalue.org>
 Standards-Version: 3.6.2
