## emacsen-common 3.0.4

=== debian/changelog ===
emacsen-common (3.0.4) unstable; urgency=medium

  * Conflict with xemacs21-support (<< 21.4.24-6~).  Restore conflict with
    xemacs21-support, but version it to exclude everything before the
    emacsen-common 3.0 compatibility patches were applied.  Thanks to
    Adrian Bunk for reporting the issue.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 15 Sep 2018 13:25:41 -0500

emacsen-common (3.0.3) unstable; urgency=medium

  * Don't conflict with xemacs21; it's now ready for 3.0.

  * Rename emacsen-common.maintscripts to emacsen-common.maintscript.
    Update rm version to 3.0.3~. (Closes: 908099, 908126)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 08 Sep 2018 14:20:34 -0500

emacsen-common (3.0.2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 29 Jul 2018 19:25:02 -0500

emacsen-common (3.0.1) experimental; urgency=medium

  * Conflict with xemacs21 entirely until it's ready for 3.0.  Thanks to
    David Bremner for reporting the problem. (Closes: 902208)

  * emacsen-common.maintstripts: update rm_conffile versions.  Apparently
    this wasn't right the first time around.  Thanks to Sean Whitton for
    reporting the problem and providing the fix. (Closes: 901450)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 30 Jun 2018 13:23:49 -0500

emacsen-common (3.0.0) experimental; urgency=medium

  * Accommodate the unversioning of the Emacs packages, i.e. emacs25 is
    becoming emacs.

  * Improve sample packaging scripts (quoting, etc.).

  * Remove 00debian-vars.el.  Rely on flavors to set the mail-host-address
    and gnus-nntpserver-file values themselves, when appropriate.

  * Adjust policy to reflect dissolution of shared emacs metaflavor.
    There will no longer be a shared emacs metaflavor -- the emacs25
    package is planning to "unversion" to become the concrete emacs
    flavor.

  * Update debian/compat to 10.

  * Conflict with older emacsen flavors.  Given the dissolution of the
    emacs metaflavor and the unversioning of the emacs25 package, conflict
    with the core package in all previous emacsen flavors so that we can
    manage the transition without having to carry around a lot of
    duplicated compatibility code here, and/or in the various flavors.

  * Clean up emacsen-common install and remove.

  * Move debian-startup.el to share/emacsen-common.

  * Drop /etc/emacs/site-start.el.

  * Remove vestigial debian-emacs-flavor handling.

  * Don't run emacs/site-start.d anymore.

  * Drop /usr/local/emacs/site-lisp.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 19 May 2018 14:03:17 -0500
