=== debian/rules ===
--- 
+++ 
@@ -34,5 +34,3 @@
 	install -d $(pkg_ec_lib)/packages/compat
 	install -d $(pkg_ec_var)/state/flavor/installed
 	install -d $(pkg_ec_var)/state/package/installed
-	install -d $(pkg_dir)/usr/local/share/emacs/site-lisp
-	find $(pkg_dir)/usr/local/share/emacs/site-lisp -ls
