## emacsen-common 3.0.5

=== debian/changelog ===
emacsen-common (3.0.5) unstable; urgency=medium

  * Update copyright information.

  * Avoid writes to HOME via EMACS_INHIBIT_AUTOMATIC_NATIVE_COMPILATION.
    Since GNU Emacs doesn't currently have any way to redirect the
    natively compiled eln files away from HOME, just suppress them for
    now. (Closes: #1021842)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 26 Dec 2022 12:29:39 -0600
