=== debian/control ===
Source: emacsen-common
Section: editors
Priority: optional
Build-Depends: debhelper (>= 10)
Maintainer: Rob Browning <rlb@defaultvalue.org>
Standards-Version: 3.6.2

Package: emacsen-common
Architecture: all
Conflicts:
  emacs19,
  emacs20,
  emacs21-common,
  emacs22-common,
  emacs23-common,
  emacs24-common,
  emacs25-common,
  xemacs21-support (<< 21.4.24-6~)
Description: Common facilities for all emacsen
 This package contains code that is needed by all the (x)emacs
 packages.  It will be automatically installed when needed.
