## emacsen-common 3.0.7

=== debian/changelog ===
emacsen-common (3.0.7) unstable; urgency=medium

  * debian/copyright: migrate to DEP-5 (machine readable) format.

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 20 Mar 2025 14:44:30 -0500

emacsen-common (3.0.6) unstable; urgency=medium

  [ Rob Browning ]

  * debian-startup.el: set lexical-binding to t to silence warnings.
    Emacs now defaults to lexical-binding and warns when a file doesn't
    explicitly specify what it expects.Thanks to Jörg-Volker Peetz, Xiyue
    Deng, Dan Jacobson, and Paul Wise for reporting the issue.
    (Closes: 1099506)

  * The code now exits with 2 rather than 1 for errors, reserving 1 for
    "boolean true" (i.e. like grep).

  * Add emacsen-common-without-dh-elpa lintian override.

  * debian/control: add misc:Depends dependency to emacsen-common.

  * debian/control: raise Standards-Version to 4.7.0.

  [ Xiyue Deng ]

  * debian/control: add Vcs-Browser and Vcs-Git. (Closes: 1099561)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 19 Mar 2025 12:43:39 -0500
