=== debian/control ===
--- 
+++ 
@@ -3,10 +3,13 @@
 Priority: optional
 Build-Depends: debhelper (>= 10)
 Maintainer: Rob Browning <rlb@defaultvalue.org>
-Standards-Version: 3.6.2
+Vcs-Browser: https://salsa.debian.org/rlb/deb-emacsen-common
+Vcs-Git: https://salsa.debian.org/rlb/deb-emacsen-common.git
+Standards-Version: 4.7.0
 
 Package: emacsen-common
 Architecture: all
+Depends: ${misc:Depends}
 Conflicts:
   emacs19,
   emacs20,
