=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,10 @@
 #!/usr/bin/make -f
-
-# Copyright (C) 2012, Rob Browning <rlb@defaultvalue.org>
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# Not actually necessary unless we invoke Emacs
+export EMACS_INHIBIT_AUTOMATIC_NATIVE_COMPILATION := t
 
 pkg_dir := debian/emacsen-common
 pkg_ec_lib := $(pkg_dir)/usr/lib/emacsen-common
