## emacsen-common 3.0.8

=== debian/changelog ===
emacsen-common (3.0.8) unstable; urgency=medium

  [ Rob Browning ]
  * debian/changelog: correct lexical-binding warning info.
    Thanks to Sean Whitton for reporting the issue.

  [ Xiyue Deng ]
  * When emacsen-common and add-ons are upgrading simultaneously,
    aemacsen-common can be unpacked but not configured when an add-on's
    prerm runs. That causes the add-on's removal command to be skipped,
    which can cause the upgrade to fail.  As a mitigation for now, remove
    all installed emacs flavors in the preinst, keeping track of the fact
    that they're really still installed, and then restore them from the
    postinst, when emacsen-common is ready again. (Closes: #1106291)

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 03 Jun 2025 12:17:26 -0500
