## emacsen-common 3.0.8build1

=== debian/changelog ===
emacsen-common (3.0.8build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:35:27 +0100
